package com.securitycontrol.auth.pojo;

/**
 * @author HeiZi
 */
public class UserInfo {
    private String id;
    /**
     * 基准组织单元id 对应 目录属性 iscUserOrgId，所属 部门编码 网省为18 位编码
     */
    private String baseOrgId;

    /**
     * 用户姓名 对应目录属 string 性FULL Name
     */
    private String name;

    /**
     * 用户名
     */
    private String account;

    /**
     * 状态 值为: 1:正常; string 2:禁用
     */
    private String state;

    /**
     * 统一码
     */
    private String unicode;

    /**
     * 系统标志
     */
    private String sysMark;

    /**
     * 有效期开始时间
     */
    private String startUsefulLife;

    /**
     * 用户名拼音缩写
     */
    private String spell;

    /**
     * sap人资编码
     */
    private String sapHrCode;

    /**
     * 用工形式ID
     */
    private String employFormId;

    /**
     * 员工性质ID
     */
    private String employNatureId;

    /**
     * 人员类别ID
     */
    private String employCategoryId;

    /**
     * 性别编码 对应目录属 string 性sgccGender
     */
    private String sexCode;

    /**
     * 中文姓 对应目录属性 string GIVEN NAME
     */
    private String givenName;

    /**
     * 名族
     */
    private String nationCode;

    /**
     * 籍贯
     */
    private String nativePlace;

    /**
     * 所属组织机构名称
     */
    private String orgAnisationName;

    /**
     * 网省编码,如sgcc
     */
    private String provinceId;

    /**
     * 门户帐号
     */
    private String namecode;

    /**
     * 人资ID
     */
    private String saphrid;

    /**
     * 备注
     */
    private String remark;

    /**
     * 排序号
     */
    private Integer dispOrder;
    /**
     * 用户类型 0:非员工 长期账号 1:员工长 期账号 2:临时账号 3:公用账号
     */
    private String userType;

    /**
     * 用户是否在通讯录中 展现标识(0:不显示 空:显示 1:显示)
     */
    private String showContact;

    /**
     * 用户是否有权限使用 通讯录(0:不能使用 空:可以使用 1:可以使 用)
     */
    private String useContact;

    /**
     * 展现领导职级，1:公司级领导
     */
    private String postLevel;
    /**
     * 用户所属部门ID(预 留);用于i国网通讯录 展现控制
     */
    private String deptId;

    /**
     * 用户兼岗所属的组织id
     */
    private String postBaseorgId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBaseOrgId() {
        return baseOrgId;
    }

    public void setBaseOrgId(String baseOrgId) {
        this.baseOrgId = baseOrgId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getUnicode() {
        return unicode;
    }

    public void setUnicode(String unicode) {
        this.unicode = unicode;
    }

    public String getSysMark() {
        return sysMark;
    }

    public void setSysMark(String sysMark) {
        this.sysMark = sysMark;
    }

    public String getStartUsefulLife() {
        return startUsefulLife;
    }

    public void setStartUsefulLife(String startUsefulLife) {
        this.startUsefulLife = startUsefulLife;
    }

    public String getSpell() {
        return spell;
    }

    public void setSpell(String spell) {
        this.spell = spell;
    }

    public String getSapHrCode() {
        return sapHrCode;
    }

    public void setSapHrCode(String sapHrCode) {
        this.sapHrCode = sapHrCode;
    }

    public String getEmployFormId() {
        return employFormId;
    }

    public void setEmployFormId(String employFormId) {
        this.employFormId = employFormId;
    }

    public String getEmployNatureId() {
        return employNatureId;
    }

    public void setEmployNatureId(String employNatureId) {
        this.employNatureId = employNatureId;
    }

    public String getEmployCategoryId() {
        return employCategoryId;
    }

    public void setEmployCategoryId(String employCategoryId) {
        this.employCategoryId = employCategoryId;
    }

    public String getSexCode() {
        return sexCode;
    }

    public void setSexCode(String sexCode) {
        this.sexCode = sexCode;
    }

    public String getGivenName() {
        return givenName;
    }

    public void setGivenName(String givenName) {
        this.givenName = givenName;
    }

    public String getNationCode() {
        return nationCode;
    }

    public void setNationCode(String nationCode) {
        this.nationCode = nationCode;
    }

    public String getNativePlace() {
        return nativePlace;
    }

    public void setNativePlace(String nativePlace) {
        this.nativePlace = nativePlace;
    }

    public String getOrgAnisationName() {
        return orgAnisationName;
    }

    public void setOrgAnisationName(String orgAnisationName) {
        this.orgAnisationName = orgAnisationName;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getNamecode() {
        return namecode;
    }

    public void setNamecode(String namecode) {
        this.namecode = namecode;
    }

    public String getSaphrid() {
        return saphrid;
    }

    public void setSaphrid(String saphrid) {
        this.saphrid = saphrid;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getDispOrder() {
        return dispOrder;
    }

    public void setDispOrder(Integer dispOrder) {
        this.dispOrder = dispOrder;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getShowContact() {
        return showContact;
    }

    public void setShowContact(String showContact) {
        this.showContact = showContact;
    }

    public String getUseContact() {
        return useContact;
    }

    public void setUseContact(String useContact) {
        this.useContact = useContact;
    }

    public String getPostLevel() {
        return postLevel;
    }

    public void setPostLevel(String postLevel) {
        this.postLevel = postLevel;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getPostBaseorgId() {
        return postBaseorgId;
    }

    public void setPostBaseorgId(String postBaseorgId) {
        this.postBaseorgId = postBaseorgId;
    }

    @Override
    public String toString() {
        return "UserInfo{" +
                "id='" + id + '\'' +
                ", baseOrgId='" + baseOrgId + '\'' +
                ", name='" + name + '\'' +
                ", account='" + account + '\'' +
                ", state='" + state + '\'' +
                ", unicode='" + unicode + '\'' +
                ", sysMark='" + sysMark + '\'' +
                ", startUsefulLife='" + startUsefulLife + '\'' +
                ", spell='" + spell + '\'' +
                ", sapHrCode='" + sapHrCode + '\'' +
                ", employFormId='" + employFormId + '\'' +
                ", employNatureId='" + employNatureId + '\'' +
                ", employCategoryId='" + employCategoryId + '\'' +
                ", sexCode='" + sexCode + '\'' +
                ", givenName='" + givenName + '\'' +
                ", nationCode='" + nationCode + '\'' +
                ", nativePlace='" + nativePlace + '\'' +
                ", orgAnisationName='" + orgAnisationName + '\'' +
                ", provinceId='" + provinceId + '\'' +
                ", namecode='" + namecode + '\'' +
                ", saphrid='" + saphrid + '\'' +
                ", remark='" + remark + '\'' +
                ", dispOrder=" + dispOrder +
                ", userType='" + userType + '\'' +
                ", showContact='" + showContact + '\'' +
                ", useContact='" + useContact + '\'' +
                ", postLevel='" + postLevel + '\'' +
                ", deptId='" + deptId + '\'' +
                ", postBaseorgId='" + postBaseorgId + '\'' +
                '}';
    }
}
